Really support wire-types other than string
10/22/2012 02:30 PM - J. Moringen

Status: New Start date: 10/22/2012
Priority: Normal Due date:
Assignee: % Done: 0%
Category: C++ Estimated time: 0.00 hour
Target version: rsb-0.18
Description

Problems:

    -  Wire-type is a template parameter; cannot vary at runtime
    -  Factory code is hard-wired to wire-type string

Plan:

    -  Turn wire-type into a runtime parameter for repository, factory, configuration etc.
    -  Add "untyped" interfaces, e.g. BaseConverter, BaseConnector

History
#1 - 01/31/2013 02:11 PM - J. Wienke
- Target version changed from rsb-0.9 to rsb-0.10

#2 - 12/10/2013 11:47 PM - J. Moringen
- Target version changed from rsb-0.10 to rsb-0.11

#3 - 12/17/2014 11:07 AM - J. Wienke
- Target version changed from rsb-0.11 to rsb-0.12

#4 - 04/27/2015 11:11 AM - J. Wienke
- Target version changed from rsb-0.12 to rsb-0.13

#5 - 03/02/2016 08:55 AM - J. Moringen
- Target version changed from rsb-0.13 to rsb-0.14

#6 - 04/17/2016 07:26 PM - J. Moringen
- Target version changed from rsb-0.14 to rsb-0.15

#7 - 11/07/2016 10:34 AM - J. Moringen
- Target version changed from rsb-0.15 to rsb-0.16

#8 - 04/10/2017 08:59 PM - J. Moringen
- Target version changed from rsb-0.16 to rsb-0.17

#9 - 10/16/2017 09:23 PM - J. Moringen
- Target version changed from rsb-0.17 to rsb-0.18
